require 'watir'

file_name = nil
download_directory = "#{Dir.pwd}/downloads"
download_directory.gsub!("/", "\\") if Selenium::WebDriver::Platform.windows?
downloads_before = Dir.entries download_directory
puts download_directory

profile = Selenium::WebDriver::Firefox::Profile.new
profile['browser.download.folderList'] = 2 # custom location
profile['browser.download.dir'] = download_directory
profile['browser.helperApps.neverAsk.saveToDisk'] = "text/csv,application/pdf,application/zip"

browser = Watir::Browser.new :firefox, :profile => profile
browser.goto 'factfinder.census.gov/faces/tableservices/jsf/pages/productview.xhtml?pid=ECN_2012_US_52A1&prodType=table'
browser.element(id: 'dnld_btn').click
Watir::Wait.until { browser.button(:text => "OK").exists? }
browser.button(:text => "OK").click
Watir::Wait.until { browser.button(:text => "Download").exists? }
browser.button(:text => "Download").click

30.times do
  difference = Dir.entries(download_directory) - downloads_before
  if difference.size == 1
    file_name = difference.first
    break
  end
  sleep 1
end
raise "Could not locate a new file in the directory '#{download_directory}' within 30 seconds" if not file_name
puts file_name

browser.close
